(define-module (ahttpd response)
  :use-module (vhttpd)
  :export (make-html-response
           make-xml-response
           make-error-response
           make-reload-response))

(define *html-dtd* "<!DOCTYPE HTML PUBLIC \"-//W3C//DTD HTML 4.0//EN\" \"http://www.w3.org/TR/REC-html40/strict.dtd\">")
(define *xml-head* "<?xml version=\"1.0\"?>")

(define (make-html-response code content)
  (make-string-response code
			"text/html;charset=utf-8"
			(string-append *html-dtd* content)))

(define (make-xml-response code content)
  (make-string-response code
			"text/xml;charset=utf8"
			(string-append *xml-head* content)))

(define (make-error-response code content)
  (make-html-response code content))

(define (make-reload-response host port path)
  (make-html-response
        200
	(format #f "<html>
		    <head><meta http-equiv=\"Refresh\" value=\"\" content=\"3;URL=https://~A:~A~A\"></head>
		    <body><p>Please wait...</p></body>
		   </html>" host port path)))

